--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Directory to put index files in
  name: directory
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: File name of the generated index
  name: filename
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: List of written files/directories to move into production
  name: files
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Abstract base class for building gem indicies. Uses the template pattern with subclass specialization in the <tt>begin_index</tt>, <tt>end_index</tt> and <tt>cleanup</tt> methods.
constants: []

full_name: Gem::Indexer::AbstractIndexBuilder
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: build
- !ruby/object:RI::MethodSummary 
  name: cleanup
- !ruby/object:RI::MethodSummary 
  name: compress
- !ruby/object:RI::MethodSummary 
  name: end_index
- !ruby/object:RI::MethodSummary 
  name: start_index
- !ruby/object:RI::MethodSummary 
  name: unzip
- !ruby/object:RI::MethodSummary 
  name: zip
name: AbstractIndexBuilder
superclass: Object
